﻿using Wisej.Web;

namespace ListViewLinkLabelDemo
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, System.EventArgs e)
        {
            this.listView1.Items.Clear();

            for (int i = 0; i < 32; i++)
            {
                var item = this.listView1.Items.Add("");
                var item2 = this.listView2.Items.Add("");
                
                item.AllowHtml = true;
                item2.AllowHtml = true;
                
                item.Text = $"<a href='https://www.wisej.com' target='_blank'>label text test {i}</a>";
				item2.Text = $"<p>label text test {i} with <span role='link'>roles</span></p>";
			}

            this.listView1.AutoResizeColumns(ColumnHeaderAutoResizeStyle.ColumnContent);
			this.listView2.AutoResizeColumns(ColumnHeaderAutoResizeStyle.ColumnContent);


            MessageBox.Show("now the first column width shall be set by its data (ColumnContent), but its not");

			this.listView2.ItemClick += ListView2_ItemClick;
        }

		private void ListView2_ItemClick(object sender, ItemClickEventArgs e)
		{
            if (e.Role.ToString() == "link")
            {
                Application.Navigate("https://docs.wisej.com/", "_blank");
            }
		}
	}
}
